CREATE FUNCTION "DBA"."getid_confirmation_list"( )
returns integer
begin
  declare li_return integer;
  select max("id") + 1 into li_return from confirmation_list;
  if li_return is null or li_return < 1 then
    set li_return=1;
    while exists(select 1 from confirmation_list where confirmation_list."id" = li_return) loop
      set li_return=li_return+1
    end loop
  end if;
  return(li_return)
end